REM Checking JAVA environment
if not "%JAVA_HOME%" == "" goto gotJdkHome
echo ERROR: The JAVA_HOME environment variable is not defined
pause
goto exit

:gotJdkHome
echo Using JAVA HOME (%JAVA_HOME%)

title AZUKI Weaver

REM Sets Azuki framework home directory
set AZUKI_HOME=.

REM Sets weaver classpath
set AZUKI_CLASSPATH=%AZUKI_HOME%/server/azuki-weaver.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/azuki-framework.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/azuki-kernel.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/azuki-common.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/xerces.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/xml-apis.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jdom.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jaxen-1.1.1.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/javaee.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/commons-codec-1.3.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/mail.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/activation.jar

REM Sets working directory to framework home
cd %AZUKI_HOME%

REM Launch weaver
"%JAVA_HOME%\bin\java.exe" -classpath %AZUKI_CLASSPATH% org.azuki.weaver.Weaver

pause

:exit
