-- table
create table alog
(
LOID   number(10,0) not null,
THID   int           ,
LVEL   varchar(10)		,
DCRE   date		,
SRC    varchar(80)	,
METH   varchar(80)  ,
MSG    varchar2(200),
STACK  varchar2(1999),
PRIMARY KEY (LOID)
);

-- sequence
create sequence alog_soid
minvalue 1
maxvalue 9999999999
start with 1
increment by 1
cycle;

-- trigger
create or replace trigger alog_i
	before insert on alog
	for each row
begin
	select alog_soid.nextval
	into :new.loid
	from dual;
end;
/
